__gnu_pbds::detail::mask_based_range_hashing< Size_Type >(3)

NAME
__gnu_pbds::detail::mask_based_range_hashing< Size_Type > -

SYNOPSIS

Inherited by __gnu_pbds::direct_mask_range_hashing< Size_Type >.

  Protected Types
typedef Size_Type size_type

  Protected Member Functions
void notify_resized (size_type size)
size_type range_hash (size_type hash) const
void swap (mask_based_range_hashing &other)

Detailed Description

  template<typename Size_Type>class __gnu_pbds::detail::mask_based_range_hashing< Size_Type >
Range hashing policy.

Definition at line 50 of file mask_based_range_hashing.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.